// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

import com.iwombat.foundation.Identifier;

/**
 * A Parameter Bean that expresses the generic "get by Id" type persistence operation.
 * <br><br>
 * Typically used as an input parameter bean on a persistence operation
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */

public class GetByIdParameterBean implements ParameterBean {

    private Identifier id;
    
    /** Creates a new instance of GetByIdParameterBean */
    public GetByIdParameterBean() {
    }

    /**
     * Creates a new instance of GetByIdParameterBean with the specified Identifier
     *
     * @param the Identifier to set
     */
    public GetByIdParameterBean(Identifier id){
     this.setId(id);   
    }
  
    /**
     * retrieves the current Id
     *
     * @return the current id
     */
    public Identifier getId(){
        return this.id;
    }
    
    /**
     * sets the id
     *
     * @param the id to set
     */
    public void setId(Identifier id){
        this.id=id;
    }
    
    
}
