// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

import java.lang.reflect.Method;

/**
 * Maps a query result to a Bean property
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */

public class QueryResultToBeanMapItem implements BeanMappable {

    private String beanPropertyName=null;
    private String columnName=null;
    private Method mutatorMethod=null;
    
    /** Creates a new instance of QueryResultToBeanMapItem */
    public QueryResultToBeanMapItem() {
    }


    /**
     * retrieves the currently set bean property name
     *
     * @return the currently set bean property name
     */
    public String getBeanPropertyName() {
        return this.beanPropertyName;
    }

    /**
     * sets the bean property name
     *
     * @param the bean property name to set
     */
    public void setBeanPropertyName(String beanPropertyName) {
        this.beanPropertyName=beanPropertyName;
    }
    
    
    /**
     * retrieves the column name to be mapped
     *
     * @return the column name
     */
    public String getColumnName(){
        return this.columnName;
    }

    /**
     * sets the column name to map to the bean property name
     *
     * @param the column name to be mapped
     */
    public void setColumnName(String columnName){
        this.columnName=columnName;
    }
    
    /**
     * sets the set method of the target bean property that matches the current bean property name
     * 
     * @param the set method
     */
    public void setMutatorMethod(Method mutatorMethod){
        this.mutatorMethod=mutatorMethod;
    }
    
    /**
     * retrieves the set method of the target bean property that matches the current bean property name
     *
     * @return the set method
     */
    public Method getMutatorMethod(){
        return this.mutatorMethod;
    }
    
}
