// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * describes a data access object that can be enlisted into a transaction
 */
import com.iwombat.foundation.DomainObject;

public interface TransactionalDAO extends DAO{
    
    /**
     * sets the transaction token for the current DAO instance
     *
     * @param the transaction token to use
     */
    public void setTransactionToken(TransactionToken newTransactionToken);
    
    /**
     * retrieves the current transaction token
     *
     * @return the currently set transaction token
     */
    public TransactionToken getTransactionToken();
}
