// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.util;

/**
 * Utility class for dealing with Byte-Arrays
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:54:16 $</dd></dl>
 */

public final class ByteArrayUtil extends Object {

    /** static class disable instance creation */

    private ByteArrayUtil() {}

    /**
     * Method sameValue
     * Description: determine if two byteArrays are the same value
     *
     * @param baFirst
     * @param baSecond
     * @return true if same, false if different
     */

    public static boolean sameValue(byte[] baFirst, byte[] baSecond) {

        int baFirstLength  = baFirst.length;
        int baSecondLength = baSecond.length;

        if (baFirstLength != baSecondLength) {
            return false;
        }

        for (int i = 0; i < baFirstLength; i++) {
            if (baFirst[i] != baSecond[i]) {
                return false;
            }
        }

        return true;
    }
}
