// Copyright (c) 2002 iwombat.com All rights reserved
package com.iwombat.foundation.environment;

import junit.framework.*;
import java.util.Properties;

/**
 * Description
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.3 $
 *              $Date: 2002/11/04 07:52:32 $
 *
 */
                            
public class ConfigurationLocatorTest extends TestCase {
    
    public static final String TEST_CONFIGS = System.getProperty("user.home") + "/.configLocatorTestConfigs.xml";
    public static final String TEST_URL = "file://" + TEST_CONFIGS;
    public static final String CONFIG_ONE = "conf1";
    public static final String CONFIG_TWO = "conf2";
    
    public ConfigurationLocatorTest(java.lang.String testName) {
        super(testName);
    }        
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(ConfigurationLocatorTest.class);
        return suite;
    }

    protected void setUp() {
        FooConfig foo1 = new FooConfig();
        foo1.setKey(CONFIG_ONE);
        foo1.setText("This is " + CONFIG_ONE);
        
        FooConfig foo2 = new FooConfig();
        foo2.setKey(CONFIG_TWO);
        foo2.setText("This is " + CONFIG_TWO);
        
        ConfigurationMap map = new ConfigurationMap();
        map.setConfiguration(foo1);
        map.setConfiguration(foo2);
        map.write(TEST_CONFIGS);    
    }
    
    protected void tearDown() {
        // remove the file here
        
    }
    
    
    // Add test methods here, they have to start with 'test' name.
    // for example: 
    // public void testHello() {}

    /*
     * Test a config lookup on messageTransports
     */
    public void testTransportLocate() {
        
        // set up our singleton properties container
        String testConfigs = "testConfigs";
        Properties testProps = EnvironmentProperties.getProperties();
        
        testProps.setProperty(testConfigs, TEST_URL);
        EnvironmentProperties.setProperties(testProps);
        
        ConfigurationMap map = ConfigurationLocator.getConfigurationMap(testConfigs);
        FooConfig conf = (FooConfig)map.getConfiguration(CONFIG_TWO);
        if (null == conf) {
            fail("Could not locate config: " + CONFIG_TWO);
        }
    }
}
