package com.iwombat.foundation.persist;

import junit.framework.*;

import java.sql.*;
import java.util.*;
import com.iwombat.foundation.*;
import com.iwombat.util.*;

/**
 * DomainObjectFactoryTest.java
 *
 */
public class DomainObjectFactoryTest extends TestCase {
    
    public DomainObjectFactoryTest(String name) {
        super(name);
    }
    
    public void setUp() {
        
    }
    public static Test suite() {
        TestSuite suite = new TestSuite(DomainObjectFactoryTest.class);
        return suite;
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
        
        
    }
    public void testDomainObjectFactory(){
        
        DomainObject domainObject = null;
        
        try{
            domainObject = (DomainObject)DomainObjectFactory.createDOInstance(ComprehensiveDomainObject.class);
        }
        catch (PersistenceException e){
            fail("caught PersistenceException attempting to call DomainObjectFactory.createDOInstance(DomainObject.class): " + e.getMessage());
        }
        
        assertTrue("retrieve persistence interface", domainObject.getClass() == com.iwombat.foundation.persist.ComprehensiveDomainObjectImpl.class);
    }
    
    public void testDomainObjectFactoryExceptionHandling(){

        DomainObject domainObject = null;
        
        try{
            domainObject = (DomainObject)DomainObjectFactory.createDOInstance(String.class); //obviously not one of our Domain object interfaces
            fail("attempted to get domain object implementation for a non-existant domain object, should have thrown PersistenceException");
        }
        catch (WombatRuntimeException e){
            //good
        }
    }    
}
