package com.iwombat.util;

import junit.framework.*;

/**
 *
 * @author combs
 */
public class ByteArrayBufferTest extends TestCase {
    private static final byte[] byteArray = {(byte)0x12, (byte)0xba, (byte)0x1a, (byte)0xaa, (byte)0x01, (byte)0x12, (byte)0xba};
    private static final byte[] shortByteArray = {(byte)0xaa, (byte)0x01, (byte)0x12};
 
    
    public ByteArrayBufferTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(ByteArrayBufferTest.class);
        return suite;
    }
    
    // Add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    public void testBufferOperations() {
        byte[] catBytes = new byte[byteArray.length + shortByteArray.length];
        for (int i=0; i<byteArray.length; i++) 
            catBytes[i] = byteArray[i];
        for (int i=0; i<shortByteArray.length; i++) 
            catBytes[byteArray.length + i] = shortByteArray[i];
        
        ByteArrayBuffer bab = new ByteArrayBuffer(byteArray);
        bab.append(shortByteArray);
        
        assertTrue("Concatenated bytes do not equal appended bytes", 
                       ByteArray.sameValue(bab.byteArrayValue(), catBytes));
        
        byte[] clippedBytes = bab.clip(byteArray.length);
        assertTrue("Clipped bytes do not equal original bytes", 
                         ByteArray.sameValue(clippedBytes,byteArray));
    }
    
    
}
