// (c) 2001-2002 iWombat.com All rights reserved

package com.iwombat.util;

import junit.framework.*;

/**
 * Tests the ByteArrayUtil and HexStringUtil utility classes by performing byte to hexString conversions
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * @date    $Date: 2002/02/10 20:18:42 $
 */
 
public class HexStringAndByteArrayTest extends TestCase {
        private static final byte[] byteArray = {(byte)0xaa, (byte)0x01, (byte)0x12, (byte)0xba, (byte)0x1a, (byte)0xff, (byte)0xcc};
        private static final String byteString = "aa0112ba1affcc";
        private static final byte[] anotherByteArray = {(byte)0x12, (byte)0xba, (byte)0x1a, (byte)0xaa, (byte)0x01, (byte)0x12, (byte)0xba};
        private static final byte[] shortByteArray = {(byte)0xaa, (byte)0x01, (byte)0x12};
 
	public HexStringAndByteArrayTest(String name) {
		super(name);
	}
        
	public void setUp() {

	}
        
	public static Test suite() {
		return new TestSuite(HexStringAndByteArrayTest.class);
	}
        
        /**
         * Test ByteArrayUtil same value method by comparing equal and unequal
         * arrays against expected results
         */
        public void testByteValueCheck() {
            assertTrue("Byte array does not equal itself", 
                 ByteArrayUtil.sameValue(byteArray, byteArray));
            assertTrue("Two unequal byteArrays reported equal", 
                 !ByteArrayUtil.sameValue(byteArray, anotherByteArray));
            assertTrue("Two unequal sized byteArrays reported equal", 
                 !ByteArrayUtil.sameValue(byteArray, shortByteArray));
        }

        /**
         * Test HexStringUtil stringFromBytes and bytesFromHexString functionality
         * by conveting and exercising sameValue and String.equals methods for checking.
         */

	public void testByteAndStringConversions() {
            
            String myByteString = HexStringUtil.stringFromBytes(byteArray);
            
            assertTrue("Byte to String Conversion failed",
                myByteString.equals(byteString));
            
            assertTrue("Byte to String to Byte round trip did not produce original byte array",
                ByteArrayUtil.sameValue(byteArray, HexStringUtil.bytesFromHexString(myByteString)));
            
		
                
	}
       
            
}
