// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.util;



import junit.framework.*;
import java.net.URL;
import java.net.MalformedURLException;
/**
 * Test harness for URLUtil class
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/14 04:25:21 $</dd></dl>
 */

public class URLUtilTest extends TestCase {
    
    public URLUtilTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(URLUtilTest.class);
        return suite;
    }
    
    // Add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    public void testCreateURL() {
        String base = "http://iwombat.com/";
        String file = "index.html";
        String full = base + file;
        try {
            URL theURL = URLUtil.createURL(base, file);
            assertTrue("URL not properly built from base & file", theURL.toString().equals(full));
            
            String fullFile = "http://iwombat.com/index.html";
            theURL = URLUtil.createURL(base, fullFile);
            assertTrue("URL not properly built from base & fully qualified file", theURL.toString().equals(fullFile));
        } catch (MalformedURLException e) {
            fail("Encountered exception: " + e.getMessage());
        }
    }
    
    public void testStripURLFile() {
        String fullURL = "http://iwombat.com/index.html";
        String baseURL = "http://iwombat.com/";
        URL myURL = null;
        try {
            myURL = new URL(fullURL);           
            URL theURL = URLUtil.stripURLFile(myURL);
            assertTrue("URL not properly stripped of file - URL:" + theURL.toString() , theURL.toString().equals(baseURL));
        } catch (MalformedURLException e) {
            fail("Couldn't make a URL");
        }
    }
}
